Page MenuHomePhabricator

Drop cl_collation_ext index from categorylinks in production
Open, MediumPublic

Description

Deployment of T342854: Drop cl_collation_ext index from categorylinks

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/993147/1/maintenance/archives/patch-drop-cl_collation_ext.sql
    1. Maybe add "optimize table categorylinks;" to replicas to clean up the mess as well.
  2. Where to run those changes: all.dblist
  3. When to run those changes: any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: beta cluster is running with the new schema
  6. if the data should be made available on the labs replicas and/or dumps: no change of the existing rules

Noting that categorylinks is quite large and drop of an index in such large tables can be risky. We searched everywhere and made sure it's not being used (and it's showing in list of unused indexes: T342697: Audit of unused indexes, 2023) but general precautions apply.

Progress

  • s1
    • eqiad (pending master)
    • codfw
  • s2
    • eqiad (pending master)
    • codfw
  • s3
    • eqiad (pending master)
    • codfw
  • s4
    • eqiad (pending master)
    • codfw
  • s5
    • eqiad (pending master)
    • codfw
  • s6
    • eqiad (pending master)
    • codfw
  • s7
    • eqiad (pending master)
    • codfw
  • s8
    • eqiad (pending master)
    • codfw
  • labtestwiki

Details

TitleReferenceAuthorSource BranchDest Branch
drop_cl_collation_ext_T356166.py: New schema changerepos/sre/schema-changes!5marosteguiT356166main
Customize query in GitLab

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2024-04-10T13:16:54Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1241 (T356166)', diff saved to https://phabricator.wikimedia.org/P60240 and previous config saved to /var/cache/conftool/dbconfig/20240410-131653-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-10T13:17:16Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60241 and previous config saved to /var/cache/conftool/dbconfig/20240410-131716-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-10T14:17:42Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60249 and previous config saved to /var/cache/conftool/dbconfig/20240410-141742-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-10T15:03:05Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60257 and previous config saved to /var/cache/conftool/dbconfig/20240410-150304-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-10T15:03:28Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1243 (T356166)', diff saved to https://phabricator.wikimedia.org/P60258 and previous config saved to /var/cache/conftool/dbconfig/20240410-150327-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-10T23:59:51Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1243 (T356166)', diff saved to https://phabricator.wikimedia.org/P60318 and previous config saved to /var/cache/conftool/dbconfig/20240410-235950-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T00:45:14Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1243 (T356166)', diff saved to https://phabricator.wikimedia.org/P60324 and previous config saved to /var/cache/conftool/dbconfig/20240411-004514-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T00:45:37Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60325 and previous config saved to /var/cache/conftool/dbconfig/20240411-004536-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T01:46:03Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60334 and previous config saved to /var/cache/conftool/dbconfig/20240411-014602-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T02:31:25Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60342 and previous config saved to /var/cache/conftool/dbconfig/20240411-023125-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T10:21:55Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1247 (T356166)', diff saved to https://phabricator.wikimedia.org/P60392 and previous config saved to /var/cache/conftool/dbconfig/20240411-102153-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T18:49:52Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1247 (T356166)', diff saved to https://phabricator.wikimedia.org/P60443 and previous config saved to /var/cache/conftool/dbconfig/20240411-184951-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T19:35:15Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1247 (T356166)', diff saved to https://phabricator.wikimedia.org/P60447 and previous config saved to /var/cache/conftool/dbconfig/20240411-193514-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-11T19:35:58Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1248 (T356166)', diff saved to https://phabricator.wikimedia.org/P60448 and previous config saved to /var/cache/conftool/dbconfig/20240411-193537-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-12T02:47:30Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1248 (T356166)', diff saved to https://phabricator.wikimedia.org/P60449 and previous config saved to /var/cache/conftool/dbconfig/20240412-024729-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-12T03:32:55Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1248 (T356166)', diff saved to https://phabricator.wikimedia.org/P60452 and previous config saved to /var/cache/conftool/dbconfig/20240412-033254-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-12T03:33:18Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1249 (T356166)', diff saved to https://phabricator.wikimedia.org/P60453 and previous config saved to /var/cache/conftool/dbconfig/20240412-033317-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-12T11:50:30Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1249 (T356166)', diff saved to https://phabricator.wikimedia.org/P60463 and previous config saved to /var/cache/conftool/dbconfig/20240412-115029-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T06:06:47Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60470 and previous config saved to /var/cache/conftool/dbconfig/20240413-060646-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T14:56:54Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60471 and previous config saved to /var/cache/conftool/dbconfig/20240413-145653-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T15:42:18Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1242 (T356166)', diff saved to https://phabricator.wikimedia.org/P60474 and previous config saved to /var/cache/conftool/dbconfig/20240413-154217-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T15:42:41Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60475 and previous config saved to /var/cache/conftool/dbconfig/20240413-154240-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T22:54:29Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60476 and previous config saved to /var/cache/conftool/dbconfig/20240413-225428-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-13T23:39:53Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1244 (T356166)', diff saved to https://phabricator.wikimedia.org/P60479 and previous config saved to /var/cache/conftool/dbconfig/20240413-233953-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T05:30:01Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1158 (T356166)', diff saved to https://phabricator.wikimedia.org/P60482 and previous config saved to /var/cache/conftool/dbconfig/20240415-053001-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T06:11:14Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T356166)', diff saved to https://phabricator.wikimedia.org/P60483 and previous config saved to /var/cache/conftool/dbconfig/20240415-061114-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T06:56:37Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T356166)', diff saved to https://phabricator.wikimedia.org/P60486 and previous config saved to /var/cache/conftool/dbconfig/20240415-065636-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T06:57:00Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1170 (T356166)', diff saved to https://phabricator.wikimedia.org/P60487 and previous config saved to /var/cache/conftool/dbconfig/20240415-065659-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T08:26:23Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1170 (T356166)', diff saved to https://phabricator.wikimedia.org/P60488 and previous config saved to /var/cache/conftool/dbconfig/20240415-082623-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T09:11:46Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1170 (T356166)', diff saved to https://phabricator.wikimedia.org/P60493 and previous config saved to /var/cache/conftool/dbconfig/20240415-091145-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T10:38:53Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1174 (T356166)', diff saved to https://phabricator.wikimedia.org/P60494 and previous config saved to /var/cache/conftool/dbconfig/20240415-103853-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T11:21:03Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1174 (T356166)', diff saved to https://phabricator.wikimedia.org/P60495 and previous config saved to /var/cache/conftool/dbconfig/20240415-112102-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T12:06:27Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1174 (T356166)', diff saved to https://phabricator.wikimedia.org/P60499 and previous config saved to /var/cache/conftool/dbconfig/20240415-120627-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T12:06:51Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1191 (T356166)', diff saved to https://phabricator.wikimedia.org/P60500 and previous config saved to /var/cache/conftool/dbconfig/20240415-120650-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T12:48:48Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1191 (T356166)', diff saved to https://phabricator.wikimedia.org/P60501 and previous config saved to /var/cache/conftool/dbconfig/20240415-124848-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T13:34:11Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1191 (T356166)', diff saved to https://phabricator.wikimedia.org/P60507 and previous config saved to /var/cache/conftool/dbconfig/20240415-133410-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T13:34:34Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1194 (T356166)', diff saved to https://phabricator.wikimedia.org/P60508 and previous config saved to /var/cache/conftool/dbconfig/20240415-133433-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T14:17:10Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1194 (T356166)', diff saved to https://phabricator.wikimedia.org/P60511 and previous config saved to /var/cache/conftool/dbconfig/20240415-141710-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T15:02:35Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1194 (T356166)', diff saved to https://phabricator.wikimedia.org/P60516 and previous config saved to /var/cache/conftool/dbconfig/20240415-150235-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T15:03:17Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1202 (T356166)', diff saved to https://phabricator.wikimedia.org/P60517 and previous config saved to /var/cache/conftool/dbconfig/20240415-150257-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T15:44:25Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1202 (T356166)', diff saved to https://phabricator.wikimedia.org/P60520 and previous config saved to /var/cache/conftool/dbconfig/20240415-154422-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T16:29:49Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1202 (T356166)', diff saved to https://phabricator.wikimedia.org/P60523 and previous config saved to /var/cache/conftool/dbconfig/20240415-162949-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T16:30:13Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1227 (T356166)', diff saved to https://phabricator.wikimedia.org/P60524 and previous config saved to /var/cache/conftool/dbconfig/20240415-163011-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T18:04:23Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1227 (T356166)', diff saved to https://phabricator.wikimedia.org/P60526 and previous config saved to /var/cache/conftool/dbconfig/20240415-180422-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T18:49:46Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1227 (T356166)', diff saved to https://phabricator.wikimedia.org/P60529 and previous config saved to /var/cache/conftool/dbconfig/20240415-184945-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T18:50:08Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1236 (T356166)', diff saved to https://phabricator.wikimedia.org/P60530 and previous config saved to /var/cache/conftool/dbconfig/20240415-185008-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T19:44:21Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1236 (T356166)', diff saved to https://phabricator.wikimedia.org/P60536 and previous config saved to /var/cache/conftool/dbconfig/20240415-194420-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-15T20:29:44Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1236 (T356166)', diff saved to https://phabricator.wikimedia.org/P60539 and previous config saved to /var/cache/conftool/dbconfig/20240415-202943-marostegui.json